View Issue Details

IDProjectCategoryView StatusLast Update
0007216Talerexchangepublic2022-04-02 03:51
Reportersebasjm Assigned ToChristian Grothoff  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0007216: if there is not wire fee for the deposit year, the aggregator does not release shard lock
Descriptionit can be workaround by releasing the lock manually


# taler-exchange-aggregator -t -y -L INFO -T 1649117814000000
54280-09-17T09:36:38.548573+0000 taler-exchange-aggregator-94 INFO Change in PQ event FD to -1
54280-09-17T09:36:38.548632+0000 taler-exchange-aggregator-94 INFO New poll FD is -1
54280-09-17T09:36:38.554750+0000 taler-exchange-aggregator-94 INFO Change in PQ event FD to 6
54280-09-17T09:36:38.554781+0000 taler-exchange-aggregator-94 INFO New poll FD is 6
54280-09-17T09:36:38.671969+0000 taler-exchange-aggregator-94 INFO Starting shard [0:2147483647]!
54280-09-17T09:36:38.672007+0000 taler-exchange-aggregator-94 INFO Checking for ready deposits to aggregate
54280-09-17T09:36:38.672245+0000 taler-exchange-aggregator-94 INFO Finding ready deposits by deadline Wed Jul 04 16:13:32 2074 (3297946412000000)
54280-09-17T09:36:38.673421+0000 taler-exchange-aggregator-94 ERROR Could not get wire fees for x-taler-bank at Wed Jul 04 16:13:32 2074. Aborting run.
54280-09-17T09:36:38.673434+0000 taler-exchange-aggregator-94 INFO Releasing revolving shard aggregator 0-2147483647
54280-09-17T09:36:38.673573+0000 taler-exchange-aggregator-94 INFO Running shutdown

# taler-exchange-aggregator -t -y -L INFO -T 1649117814000000
54280-09-17T09:36:41.928765+0000 taler-exchange-aggregator-95 INFO Change in PQ event FD to -1
54280-09-17T09:36:41.928845+0000 taler-exchange-aggregator-95 INFO New poll FD is -1
54280-09-17T09:36:41.935311+0000 taler-exchange-aggregator-95 INFO Change in PQ event FD to 6
54280-09-17T09:36:41.935367+0000 taler-exchange-aggregator-95 INFO New poll FD is 6
54280-09-17T09:36:42.077248+0000 taler-exchange-aggregator-95 ERROR Failed to begin shard (0)!
54280-09-17T09:36:42.077282+0000 taler-exchange-aggregator-95 INFO Running shutdown
TagsNo tags attached.

Activities

Christian Grothoff

2022-04-02 03:51

manager   ~0018849

We were in a transaction when this happened, and failed to rollback to then actually make an effective shard cleanup. Fixed in caf66486..6c66f6f5

Issue History

Date Modified Username Field Change
2022-04-01 17:58 sebasjm New Issue
2022-04-01 17:58 sebasjm Status new => assigned
2022-04-01 17:58 sebasjm Assigned To => Christian Grothoff
2022-04-02 03:51 Christian Grothoff Note Added: 0018849
2022-04-02 03:51 Christian Grothoff Status assigned => resolved
2022-04-02 03:51 Christian Grothoff Resolution open => fixed
2022-04-02 03:51 Christian Grothoff Fixed in Version => 0.9
2022-04-02 03:51 Christian Grothoff Target Version git (master) => 0.9